package gui.settings.dialog.group;

import gui.layout.percent2.APConstraint;
import gui.layout.percent2.AnchorPercentLayout;
import gui.resource.ResourceManager;
import gui.settings.dialog.component.SpinnerSettingsComponent;
import gui.settings.dialog.page.NetworkSettingsPage;

public class TimeoutSettingsGroup extends SettingsComponentGroup {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3757619891242365856L;

	public TimeoutSettingsGroup(ResourceManager rm) {
		super(rm.getLocalizedString(NetworkSettingsPage.LOCALE_TIMEOUT),rm);
	}

	@Override
	protected void createSettingsComponents(ResourceManager rm) {
		setLayout(new AnchorPercentLayout());
		addSettingsComponent(new SpinnerSettingsComponent(NetworkSettingsPage.SETTING_TIMEOUT), APConstraint.constraint().width(100));
	}
	
//	@Override
//	public void loadSettings(Settings s) {		
//		super.loadSettings(s);
//	}
}