package gui.settings.dialog.page;

import javax.swing.JPanel;

import settings.Settings;

public abstract class AbstractSettingsPage extends JPanel {
	private static final long serialVersionUID = 3472877161598806810L;
	protected String entry;
	protected Settings settings;
	
	public AbstractSettingsPage(Settings settings) {
		this.settings=settings;
	}
	
	public abstract void load();
	public abstract void save();
	
	public String getEntry() {
		return entry;
	}
}
