/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package model.transfer;

import core.util.Observer;

public interface TransferObserver extends Observer {
	void updateAddTransfer(TransferInfo info);
	void updateRemoveTransfer(TransferInfo info);
	void updateStopTransfer(TransferInfo info);
	void updateTransferFinished(TransferInfo info);
	void updateStopAllTransfers();
	void updateSpeed(TransferInfo info);
	void updateTotalSpeed(TransferManager<TransferObserver> tm, long speed);
//	void updateError(TransferInfo info);
	void updateRemoveAll();
	void updateEnqueue(TransferInfo info);
	void updateFinishedAll();
	
}
